using BankDataModels.ProxyModels;
using BankDataModels;
using System.ComponentModel;

namespace BankContracts.ViewModels
{
    public class CostViewModel : ICostModel
    {
        public int Id { get; set; }
        public int EmployeeId { get; set; }
        [DisplayName("Номер телефона сотрудника")]
        public string PhoneNumber { get; set; } = string.Empty;
        [DisplayName("Наименование")]
        public string NameOfCost { get; set; } = string.Empty;
        [DisplayName("Стоимость")]
        public double Price { get; set; }

        public Dictionary<int, CostByPurchaseModel> PurchaseModels { get; set; } = new();
    }
}
